import { TopicShapeType } from '../model/INodeModel';
import Topic from '../Topic';
import TopicShape from './TopicShape';
declare class TopicShapeFactory {
    static create(value: TopicShapeType, topic: Topic): TopicShape;
}
export default TopicShapeFactory;
